Skip to main content
GET
/
verifications
cURL
curl --request GET \
  --url https://api.pawapass.com/v2/verifications/ \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "aB1cD2eF",
      "externalId": "user-zm-98765",
      "country": "ZM",
      "phoneNo": "+260971234567",
      "requirements": [
        {
          "type": "DOCUMENT_SCAN"
        },
        {
          "type": "FACE_SCAN"
        }
      ],
      "url": "https://app.pawapass.com/your-company/aB1cD2eF",
      "status": "CREATED",
      "metadata": {
        "reason": "kyc-onboarding",
        "channel": "mobile-app",
        "department": "compliance"
      },
      "successUrl": "https://your-website.com/success",
      "errorUrl": "https://your-website.com/error",
      "supportUrl": "https://your-website.com/support",
      "identityDocument": {
        "type": "NATIONAL_ID",
        "country": "ZM",
        "serialNo": "9876543/21/1",
        "nationalNo": "Z12345678",
        "firstName": "Tisa",
        "lastName": "Banda",
        "dateOfBirth": "1997-05-10",
        "placeOfBirth": "Lusaka",
        "nationality": "ZM",
        "expiryAt": "2032-05-09",
        "issuedAt": "2022-05-10",
        "issuingAuthority": "Republic of Zambia",
        "placeOfIssue": "Lusaka",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "faceScan": {
        "ageEstimation": "OVER_18",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "reviewResult": {
        "reason": "CAPTURE_ISSUE"
      },
      "createdBy": "[email protected]",
      "expiresAt": "2025-08-27T09:00:00.000Z",
      "createdAt": "2025-08-20T09:00:00.000Z",
      "updatedAt": "2025-08-20T09:00:00.000Z"
    }
  ],
  "count": 123
}

Authorizations

Authorization
string
header
required

Bearer token for authentication. See Authentication.

Query Parameters

page
number
default:0

The page number to retrieve

Required range: x >= 0
limit
number
default:15

The number of items to return per page

Required range: 1 <= x <= 50
id
string

Filter by verification ID

externalId
string

Filter by your external ID

statuses
enum<string>[]

Filter by status. Supports multiple values (e.g., ?statuses=APPROVED&statuses=DECLINED)

Available options:
CREATED,
STARTED,
EXPIRED,
USER_DATA_COLLECTED,
REVIEW,
APPROVED,
DECLINED
fromCreatedAt
string<date-time>

Filter verifications created from this date (inclusive). Format ISO 8601

toCreatedAt
string<date-time>

Filter verifications created up to this date (inclusive). Format ISO 8601

Response

Default Response

items
object[]
required
count
number
required

The total number of items matching the filters